# class Prism::Translation::Parser::PrismDiagnostic

The parser gem has a list of diagnostics with a hard-coded set of error messages. We create our own diagnostic class in order to set our own error messages.

### Attributes

message [R]

This is the cached message coming from prism.

### Public Class Methods

new (message, level, reason, location)
Source

    # File lib/prism/translation/parser.rb, line 28
    def initialize(message, level, reason, location)
      @message = message
      super(level, reason, {}, location, [])
    end

Initialize a new diagnostic with the given message and location.

Calls superclass method